## xcalib 0.8.dfsg1

=== Makefile ===
# Makefile for xcalib
#
# (c) 2004-2007 Stefan Doehla <stefan AT doehla DOT de>
#
# This program is GPL-ed postcardware! please see README
#
# It is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA.
#

#
# the following targets are defined:
# - xcalib
#   default
# - win_xcalib
#   version for MS-Windows systems with MinGW (internal parser)
# - fglrx_xcalib
#   version for ATI's proprietary fglrx driver (internal parser)
#
# - clean
#   delete all objects and binaries
#
# if it doesn't compile right-out-of-the-box, it may be sufficient
# to change the following variables

XCALIB_VERSION = 0.8
CFLAGS = -O2
XINCLUDEDIR = /usr/X11R6/include
XLIBDIR = /usr/X11R6/lib
# for ATI's proprietary driver (must contain the header file fglrx_gamma.h)
FGLRXINCLUDEDIR = ./fglrx
FGLRXLIBDIR = ./fglrx

# default make target
all: xcalib
	

# low overhead version (internal parser)
xcalib: xcalib.c
	$(CC) $(CFLAGS) -c xcalib.c -I$(XINCLUDEDIR) -DXCALIB_VERSION=\"$(XCALIB_VERSION)\"
	$(CC) $(CFLAGS) -L$(XLIBDIR) -lm -o xcalib xcalib.o -lX11 -lXxf86vm -lXext

fglrx_xcalib: xcalib.c
	$(CC) $(CFLAGS) -c xcalib.c -I$(XINCLUDEDIR) -DXCALIB_VERSION=\"$(XCALIB_VERSION)\" -I$(FGLRXINCLUDEDIR) -DFGLRX
	$(CC) $(CFLAGS) -L$(XLIBDIR) -L$(FGLRXLIBDIR) -lm -o xcalib xcalib.o -lX11 -lXxf86vm -lXext -lfglrx_gamma

win_xcalib: xcalib.c
	$(CC) $(CFLAGS) -c xcalib.c -DXCALIB_VERSION=\"$(XCALIB_VERSION)\" -DWIN32GDI
	windres.exe resource.rc resource.o
	$(CC) $(CFLAGS) -mwindows -lm resource.o -o xcalib xcalib.o

install:
	cp ./xcalib $(DESTDIR)/usr/local/bin/
	chmod 0644 $(DESTDIR)/usr/local/bin/xcalib

clean:
	rm -f xcalib.o
	rm -f resource.o
	rm -f xcalib
	rm -f xcalib.exe

=== debian/changelog ===
xcalib (0.8.dfsg1-5) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Eliel Luiz da Silva <eliel.2022@alunos.utfpr.edu.br>  Tue, 14 Oct 2025 11:50:59 -0300

xcalib (0.8.dfsg1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Nov 2024 00:13:18 +0100

xcalib (0.8.dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Take over package maintenance via ITS process. (Closes: 1009068)
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13. (Closes: #965887)
    + Convert package to "3.0 (quilt)" format.
  * debian/rules: Convert to dh sequencer.
  * debian/patches/0001-use-autoconf.patch: Add patch to use autoconf
    and automake instead of manually-written Makefile.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 11:35:33 -0400

xcalib (0.8.dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Fix FTCBFS: Let dpkg's buildtools.mk set a sane $(CC).
      (Closes: #900143)
    + Fix FTBFS with gcc 9. (Closes: #925863)
  * debian/control: Replace obsolete Priority: extra with
    Priority: optional.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Nov 2019 19:42:44 -0500

xcalib (0.8.dfsg1-2) unstable; urgency=low

  * Added Homepage header.
  * Updated Standards-Version.
  * Updated the watch file.
  * Minor updates on debian/rules.
  * Changed to <bencer@debian.org> address.

 -- Jorge Salamero Sanz <bencer@debian.org>  Wed, 09 Jul 2008 12:49:18 +0200

xcalib (0.8.dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dep on libxext-dev (Closes: #486993, #453047)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 22:50:53 +0200

xcalib (0.8.dfsg1-1) unstable; urgency=low

  *  Initial release (Closes: #429618).
  *  Repackaged upstream release to meet the DFSG.

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Thu, 30 Aug 2007 13:29:09 +0200

=== debian/control ===
Source: xcalib
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libxext-dev,
               libxxf86vm-dev,
Standards-Version: 4.7.0
Homepage: http://xcalib.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/xcalib
Vcs-Git: https://salsa.debian.org/debian/xcalib.git

Package: xcalib
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: icc-profiles,
Description: Tiny monitor calibration loader for Xorg
 xcalib loads 'vcgt'-tag of ICC profiles to the X-server
 using the XVidMode Extension in order to calibrate your
 display.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

=== debian/tests/control ===
Test-Command: xcalib -help | grep "^xcalib"
Restrictions: superficial

=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\.dfsg\d+$// \
http://sf.net/xcalib/xcalib-source-(.+)\.tar\.gz
